# $Revision: 1.71 $, $Date: 2011/07/28 06:01:24 $
#
# Conditional build:
%bcond_with	gnome		# build with support for GNOME2 wm-properties
#
Summary:	AEWM - the ascetic window manager
Summary(pl.UTF-8):	AEWM - "ascetyczny" zarządca okien
Name:		aewm
Version:	1.3.1
Release:	5
License:	MIT
Group:		X11/Window Managers
Source0:	http://www.red-bean.com/~decklin/aewm/%{name}-%{version}.tar.gz
# Source0-md5:	d357a30c29540101d0545a3c9167bba0
Source1:	%{name}.desktop
Source2:	%{name}-xsession.desktop
Patch0:		%{name}-xft.patch
Patch1:		%{name}-amd64.patch
URL:		http://www.red-bean.com/~decklin/aewm/
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	motif-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXft-devel
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_wmpropsdir	/usr/share/gnome/wm-properties

%description
aewm is a minimal window manager for X11. It doesn't support icons,
multiple sessions, themes or so; it isn't even highly customizable.
Its main benefits are simplicity and speed.

%description -l pl.UTF-8
aewm jet minimalnym zarządcą okien dla X11. Nie potrafi obsługiwać
ikon, wielu sesji, motywów, tła itp. Nie jest zbyt konfigurowalny.
Jego zaletą jest prostota i szybkość.

%prep
%setup -q
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	XROOT=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}/X11/%{name}} \
	$RPM_BUILD_ROOT%{_wmpropsdir} \
	$RPM_BUILD_ROOT%{_datadir}/xsessions

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	XROOT=%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%{?with_gnome:install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop
install src/aewmrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/aewmrc
install clients/clientsrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/clientsrc

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{aemenu-*,aepanel-*,aesession.*,set-gnome-pda.*,switch-desk.*}
echo ".so aeclients.1x" > $RPM_BUILD_ROOT%{_mandir}/man1/aemenu-gtk.1x
echo ".so aeclients.1x" > $RPM_BUILD_ROOT%{_mandir}/man1/aemenu-xaw.1x
echo ".so aeclients.1x" > $RPM_BUILD_ROOT%{_mandir}/man1/aepanel-gtk.1x
echo ".so aeclients.1x" > $RPM_BUILD_ROOT%{_mandir}/man1/aepanel-xaw.1x
echo ".so aeclients.1x" > $RPM_BUILD_ROOT%{_mandir}/man1/aesession.1x
echo ".so aeclients.1x" > $RPM_BUILD_ROOT%{_mandir}/man1/set-gnome-pda.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS TODO
%dir %{_sysconfdir}/X11/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/%{name}/*rc
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xsessions/%{name}.desktop
%{?with_gnome:%{_wmpropsdir}/*}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aewm.spec,v $
Revision 1.71  2011/07/28 06:01:24  baggins
- rel 5
- conditional (off by default) wm-properties (only used in gnome2)

Revision 1.70  2011/01/29 00:06:06  sparky
- dropped pre-cvs changelog

Revision 1.69  2008/11/07 20:50:03  arekm
- release 4

Revision 1.68  2008/10/31 22:10:00  megabajt
- own /etc/X11/aewm
- release 3

Revision 1.67  2008/09/18 15:43:47  patrys
- move wm-properties
- rel 2

Revision 1.66  2008-01-20 14:04:15  qboosh
- completed en desc
- updated for modular xorg

Revision 1.65  2007-02-12 21:23:46  glen
- tabs in preamble

Revision 1.64  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.63  2006/01/03 10:36:11  cieciwa
- update to 1.3.1,
- update MD5 sum,
- fixed %files.

Revision 1.62  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.61  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.60  2004/12/16 20:08:08  darekr
- updated to 1.3.0
- removed Source0-size
- BR gtk+-devel -> gtk+2-devel

Revision 1.59  2004/11/16 10:33:59  paladine
- updated to 1.2.5

Revision 1.58  2004/10/29 16:17:37  darekr
- updated to 1.2.4
- added sample config files
- added TODO in %doc

Revision 1.57  2004/08/11 20:29:10  havner
- s/lesstif/openmotif w BR

Revision 1.56  2004/08/10 18:31:55  havner
- rel 2

Revision 1.55  2004/08/10 18:04:08  havner
- typo

Revision 1.54  2004/08/10 17:52:10  havner
- xft patch
- BR: lesstif-devel, xft-devel
- amd64 patch

Revision 1.53  2003/09/28 22:54:00  adgor
- Added desktop file for gdm/kdm support

Revision 1.52  2003/09/01 13:15:29  misi3k
- cosmetics

Revision 1.51  2003/08/06 16:05:35  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.50  2003/07/07 21:00:22  qboosh
- glibc-devel is already required by rpm-build

Revision 1.49  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.48  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 20:29:06  misi3k
- updated to 1.2.3
- removed etc_dir patch

Revision 1.46  2003/05/25 05:45:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.45  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.44  2003/03/22 20:06:56  juandon
- added home_etc.patch
- switch to _prefix=/usr
- Release 2

Revision 1.43  2003/02/23 23:40:22  ankry
- s/temat/motyw/g

Revision 1.42  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.41  2003/02/15 19:56:40  misi3k
- removed bad descryption

Revision 1.39  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.38  2003/01/14 20:49:48  ankry
- fixed URL

Revision 1.37  2002/11/25 01:40:36  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %%doc

Revision 1.36  2002/08/22 01:15:32  kloczek
- release 3: use new %doc.

Revision 1.35  2002/05/08 23:11:21  ankry
- replaced man page softlinks by .so redirections
- STBR

Revision 1.34  2002/04/25 15:42:24  arturs
fixed a small typo

Revision 1.33  2002/04/25 10:20:36  marcus
- rel.2

Revision 1.32  2002/04/23 07:11:39  arturs
license change

Revision 1.31  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/17 04:52:08  kloczek
- adapterized.

Revision 1.29  2002/02/15 10:47:47  filon
- updated to 1.2.0
- pacakge has been redesigned, goodies are build by default
- added ChnageLog to docs

Revision 1.28  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/11/21 09:56:31  kloczek
- release 2.

Revision 1.26  2001/10/08 09:29:54  marcus
- typo

Revision 1.25  2001/10/08 09:24:36  marcus
- fixed %%install

Revision 1.24  2001/09/06 00:44:06  blues
- typo

Revision 1.23  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.22  2001/01/25 20:03:20  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2001/01/10 21:27:36  kloczek
- updated to 1.1.2.

Revision 1.20  2001/01/06 08:06:33  kloczek
- updated to 1.1.1,
- updated URL and Source url,
- make spec %%{debug} ready,
- added man pages to %files,
- removed obsoleted Makefile patch and added using DESTDIR style install.

Revision 1.19  2000/12/07 02:06:46  agaran
Next attempt to fix $Log
